org.eclipse.eef.ide.ui.internal.widgets

## Class ToolbarAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.eef.ide.ui.internal.widgets.ToolbarAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction

    public class ToolbarAction
    extends org.eclipse.jface.action.Action

An `Action` taking tooltip, image and behavior from an `EEFToolbarAction`.

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`ToolbarAction(EEFToolbarAction eefToolbarAction, IEEFToolbarActionController controller, EditingContextAdapter editingContextAdapter, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ToolbarAction

    public ToolbarAction(EEFToolbarAction eefToolbarAction,
                         IEEFToolbarActionController controller,
                         EditingContextAdapter editingContextAdapter,
                         org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                         org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager)

Constructor.

Parameters:
  `eefToolbarAction` - the `EEFToolbarAction` that provides tooltip, image and behavior for this Action.
  `controller` - The controller.
  `editingContextAdapter` - The editing context adapter.
  `interpreter` - Interpreter.
  `variableManager` - Variable manager.

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `org.eclipse.jface.action.IAction`
Overrides:
  `run` in class `org.eclipse.jface.action.Action`
See Also:
  `Action.run()`